# Generated by go2rpm 1.15.0
%bcond check 0

# https://github.com/rfjakob/gocryptfs
%global goipath         github.com/rfjakob/gocryptfs
Version:               2.5.1

%global archivename     gocryptfs_v%{version}_src
%global gourl           https://nuetzlich.net/gocryptfs
%global gosource        https://%{goipath}/releases/download/v%{version}/%{archivename}.tar.gz
%global extractdir      %{archivename}

%gometa -L -f

%global common_description %{expand:
Encrypted overlay filesystem written in Go.}

Name:           golang-github-rfjakob-gocryptfs
Release:        %autorelease
Summary:        Encrypted overlay filesystem written in Go

# Generated by go-vendor-tools
License:        Apache-2.0 AND BSD-2-Clause AND BSD-3-Clause AND MIT
URL:            %{gourl}
Source0:        %{gosource}
# Generated by go-vendor-tools
Source1:        https://releases.pagure.org/p4p4j0hn/rpmspecs/%{archivename}-vendor.tar.bz2
Source2:        https://releases.pagure.org/p4p4j0hn/rpmspecs/go-vendor-tools.toml
Source3:        %{gosource}.asc
Source4:        https://nuetzlich.net/gocryptfs-signing-key.pub

BuildRequires:  go-vendor-tools
BuildRequires:  bash
BuildRequires:  pandoc
BuildRequires:  gnupg2
BuildRequires:  openssl-devel

Requires:       fuse

Provides:       gocryptfs
Provides:       gocryptfs-xray
Provides:       statfs

%description %{common_description}

%prep
%{gpgverify} --keyring='%{SOURCE4}' --signature='%{SOURCE3}' --data='%{SOURCE0}'
%goprep -A
%setup -q -T -D -a1 %{forgesetupargs}
#%%autopatch -p1

%generate_buildrequires
%go_vendor_license_buildrequires -c %{S:2}

%build
%gobuild -o %{gobuilddir}/bin/gocryptfs %{goipath}
for cmd in contrib/atomicrename contrib/findholes contrib/getdents-debug/getdents contrib/getdents-debug/readdirnames contrib/statfs contrib/statvsfstat gocryptfs-xray; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done
/usr/bin/bash Documentation/MANPAGE-render.bash

%install
%go_vendor_license_install -c %{S:2}
%__install -m 0755 -vd                                  %{buildroot}%{_bindir}
%__install -m 0755 -vp %{gobuilddir}/bin/gocryptfs      %{buildroot}%{_bindir}/
%__install -m 0755 -vp %{gobuilddir}/bin/gocryptfs-xray %{buildroot}%{_bindir}/
%__install -m 0755 -vp %{gobuilddir}/bin/statfs         %{buildroot}%{_bindir}/
%__install -D -m 644 Documentation/gocryptfs.1          %{buildroot}%{_mandir}/man1/gocryptfs.1
%__install -D -m 644 Documentation/gocryptfs-xray.1     %{buildroot}%{_mandir}/man1/gocryptfs-xray.1
%__install -D -m 644 Documentation/statfs.1             %{buildroot}%{_mandir}/man1/statfs.1

%check
%go_vendor_license_check -c %{S:2}
%if %{with check}
%gocheck
%endif

%files -f %{go_vendor_license_filelist}
%license vendor/modules.txt
%doc README.md Documentation/CLI_ABI.md Documentation/MANPAGE-STATFS.md
%doc Documentation/MANPAGE-XRAY.md Documentation/MANPAGE.md
%doc Documentation/SECURITY.md Documentation/XFSTESTS.md
%doc Documentation/duplicate-inodes.txt Documentation/extractloop.md
%doc Documentation/file-format.md Documentation/performance-reverse.txt
%doc Documentation/performance.txt
%doc gocryptfs-xray/xray_tests/aesgcm_fs.masterkey.txt
%doc gocryptfs-xray/xray_tests/aesgcm_fs.xray.txt
%doc gocryptfs-xray/xray_tests/aessiv_fs.masterkey.txt
%doc gocryptfs-xray/xray_tests/aessiv_fs.xray.txt
%{_bindir}/gocryptfs
%{_bindir}/gocryptfs-xray
%{_bindir}/statfs
%{_mandir}/man1/gocryptfs.1*
%{_mandir}/man1/gocryptfs-xray.1*
%{_mandir}/man1/statfs.1*

%changelog
%autochangelog
